$LOAD_PATH.unshift(File.expand_path('../../lib', __FILE__))

require 'tuya/ci/DSL/command'

module TuyaCIDSL
	class Command
		class MonitorCreate < Command

			self.abstract_command = false

			self.summary = 'tuya ci trigger create'
			self.command = 'create'

			self.description = 'tuya ci trigger create'

			def self.options
				[
					['--name=file_name', 'file name']
				].concat(super)
			end

			def validate!
				@file_name = 'CIFile' unless @name
				if @file_name == 'CIFile'
					if File.exist? './CIFile'
						@file_name = TYCiCore::TYAsk.ask 'File: CIFile is existed, please enter another file name'
					end
				end
			end

			def initialize(argv)
				super
				@name = argv.option('name')
				@file_name = @name
			end

			def run
				super

				dsl = TuyaCIDSL::TriggerCreator.new @file_name
				dsl.create
			end
		end
	end
end